/*
 LiquidCrystal_I2C Library - setCursor
 
 Demonstrates the use a 16x2 LCD display.  The LiquidCrystal
 library works with all LCD displays that are compatible with the 
 Hitachi HD44780 driver. There are many of them out there, and you
 can usually tell them by the 16-pin interface.
 
 This sketch prints to all the positions of the LCD using the
 setCursor(0 method:
 
 The circuit:
 * +5V to Arduino 5V pin
 * GND to Arduino GND pin
 * SDA to Analog #4
 * SCL to Analog #5
 
 Library originally added 18 Apr 2008
 by David A. Mellis
 library modified 5 Jul 2009
 by Limor Fried (http://www.ladyada.net)
 example added 9 Jul 2009
 by Tom Igoe 
 modified 22 Nov 2010
 by Tom Igoe
 modified 7 July 2012 
 by MLT (For I2C LCD)
 
 This example code is in the public domain.
 
 http://arduino.cc/en/Tutorial/LiquidCrystalSetCursor

 */

// include the library code:
#include "Wire.h"
#include <LiquidCrystal_I2C.h>

// these constants won't change.  But you can change the size of
// your LCD using them:
const int numRows = 2;
const int numCols = 16;

// initialize the library with the numbers of the interface pins
LiquidCrystal_I2C lcd(0);

void setup() {
  // set up the LCD's number of columns and rows: 
  lcd.begin(numCols,numRows);
  lcd.setBacklight(HIGH);    // On Backlight
  //lcd.setBacklight(LOW);   // Off Backlight
}

void loop() {
  // loop from ASCII 'a' to ASCII 'z':
  for (int thisLetter = 'a'; thisLetter <= 'z'; thisLetter++) {
    // loop over the columns:
    for (int thisCol = 0; thisCol < numRows; thisCol++) {
      // loop over the rows:
      for (int thisRow = 0; thisRow < numCols; thisRow++) {
        // set the cursor position:
        lcd.setCursor(thisRow,thisCol);
        // print the letter:
        lcd.write(thisLetter);
        delay(200);
      }
    }
  }
}


